C $Header: /u/gcmpack/MITgcm/pkg/geothermal/GEOTHERMAL.h,v 1.2 2008/01/27 20:52:11 jmc Exp $
C $Name: checkpoint63 $

#ifdef ALLOW_GEOTHERMAL

C     Package flag
c      LOGICAL geothermal_MNC
c      LOGICAL geothermal_MDSIO
c      COMMON /GEOTHERMAL_PACKAGE/
c     &                     geothermal_MNC, geothermal_MDSIO

C     GEOTHERMAL parameters
c      LOGICAL geothermal_StaV_Cgrid
      LOGICAL geothermal_Tend_Cgrid
      LOGICAL geothermal_applyTendT
c      LOGICAL geothermal_applyTendS
c      LOGICAL geothermal_applyTendU
c      LOGICAL geothermal_applyTendV

C-    additional parameters:
c      LOGICAL geothermal_doSwitch1
c      LOGICAL geothermal_doSwitch2
c      INTEGER geothermal_index1
c      INTEGER geothermal_index2
c      _RL geothermal_param1
c      _RL geothermal_param2
c      CHARACTER*(MAX_LEN_FNAM) geothermal_string1
c      CHARACTER*(MAX_LEN_FNAM) geothermal_string2

C-    file names for initial conditions:
      CHARACTER*(MAX_LEN_FNAM) geothermal_bottomFile
c      CHARACTER*(MAX_LEN_FNAM) geothermal_Scal2File
c      CHARACTER*(MAX_LEN_FNAM) geothermal_VelUFile
c      CHARACTER*(MAX_LEN_FNAM) geothermal_VelVFile
c      CHARACTER*(MAX_LEN_FNAM) geothermal_Surf1File
c      CHARACTER*(MAX_LEN_FNAM) geothermal_Surf2File

      COMMON /GEOTHERMAL_PARAMS_L/
     &       geothermal_Tend_Cgrid,
     &       geothermal_applyTendT
c     &       geothermal_StaV_Cgrid, geothermal_Tend_Cgrid,
c     &       geothermal_applyTendT, geothermal_applyTendS,
c     &       geothermal_applyTendU, geothermal_applyTendV,
c     &       geothermal_doSwitch1, geothermal_doSwitch2
c      COMMON /GEOTHERMAL_PARAMS_I/ geothermal_index1, geothermal_index2
c      COMMON /GEOTHERMAL_PARAMS_R/ geothermal_param1, geothermal_param2
      COMMON /GEOTHERMAL_PARAMS_C/ geothermal_bottomFile
c      COMMON /GEOTHERMAL_PARAMS_C/ geothermal_string1, geothermal_string2,
c     &       geothermal_Scal1File, geothermal_Scal2File,
c     &       geothermal_VelUFile,  geothermal_VelVFile,
c     &       geothermal_Surf1File, geothermal_Surf2File

#ifdef GEOTHERMAL_2D_STATE
C     GEOTHERMAL 2-dim. fields
      _RL 
     & geothermal_power_bottom(1-OLx:sNx+OLx,1-OLy:sNy+OLy,nSx,nSy)
      COMMON /GEOTHERMAL_STATE_2D/
     &    geothermal_power_bottom
#endif /* GEOTHERMAL_2D_STATE */

c#ifdef GEOTHERMAL_TENDENCY
c      _RL geothermal_TendScal1(1-OLx:sNx+OLx,1-OLy:sNy+OLy,Nr,nSx,nSy)
c      _RL geothermal_TendScal2(1-OLx:sNx+OLx,1-OLy:sNy+OLy,Nr,nSx,nSy)
c      _RL geothermal_TendVelU(1-OLx:sNx+OLx,1-OLy:sNy+OLy,Nr,nSx,nSy)
c      _RL geothermal_TendVelV(1-OLx:sNx+OLx,1-OLy:sNy+OLy,Nr,nSx,nSy)
c      COMMON /GEOTHERMAL_TENDENCY/
c     &    geothermal_TendScal1, mypa_TendScal2,
c     &    geothermal_TendVelU,  mypa_TendVelV
c#endif /* GEOTHERMAL_TENDENCY */

#endif /* ALLOW_GEOTHERMAL */

CEH3 ;;; Local Variables: ***
CEH3 ;;; mode:fortran ***
CEH3 ;;; End: ***
